%define dist XML-SAX
Name: perl-%dist
Version: 0.12
Release: alt4

Summary: Simple API for XML
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source0: %dist-%version.tar.bz2

BuildArch: noarch

# support for /etc/perl5
Patch0: %name-0.12-alt-ini-dir.patch
Requires: perl-base >= 1:5.8.1
BuildPreReq: perl-base >= 1:5.8.1

# the best SAX parser backend so far
Requires: perl(XML/LibXML/SAX/Parser.pm) perl-XML-LibXML >= 1.58-alt2

# Automatically added by buildreq on Tue Aug 03 2004 (-bi)
BuildRequires: perl-XML-NamespaceSupport perl-devel perl-i18n

%description
XML::SAX is a SAX parser access API for Perl. It includes classes
and APIs required for implementing SAX drivers, along with a factory
class for returning any SAX parser installed on the user's system.

%prep
%setup -q -n %dist-%version
%patch0 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install
%__mkdir_p %buildroot%_sysconfdir/perl5/XML/SAX
touch %buildroot%_sysconfdir/perl5/XML/SAX/ParserDetails.ini

%files 
%doc README Changes
%perl_vendor_privlib/XML*
%perl_vendor_man3dir/XML*
%dir %_sysconfdir/perl5/XML
%dir %_sysconfdir/perl5/XML/SAX
%verify(not md5 size mtime) %config(noreplace) %_sysconfdir/perl5/XML/SAX/ParserDetails.ini

%changelog
* Tue Aug 03 2004 Alexey Tourbin <at@altlinux.ru> 0.12-alt4
- removed %_sysconfdir/rpm/macros.d/%name
- removed triggers that register/unregister XML::SAX::PurePerl
- added dependency on XML::LibXML::SAX::Parser (the best parser backend)

* Wed Apr 28 2004 Alexey Tourbin <at@altlinux.ru> 0.12-alt3
- %_sysconfdir/rpm/macros.d/%name: regisger/unregister SAX API parsers
- added triggers that register/unregister XML::SAX::PurePerl

* Thu Sep 04 2003 Alexey Tourbin <at@altlinux.ru> 0.12-alt2
- buildreq re-applied (fixes build in the hasher)
- descriptions updated

* Fri Mar 21 2003 Stanislav Ievlev <inger@altlinux.ru> 0.12-alt1
- 0.12

* Tue Nov 12 2002 Stanislav Ievlev <inger@altlinux.ru> 0.11-alt1
- Initial release
